=== debian/changelog ===
fish (3.6.0-3.1+deb12u1) bookworm; urgency=medium

  * Cherry-pick upstream fix for CVE-2023-49284. (Closes: #1057455)
    fish shell uses certain Unicode non-characters internally for marking
    wildcards and expansions. It will incorrectly allow these markers to be
    read on command substitution output, rather than transforming them into
    a safe internal representation.

 -- Mo Zhou <lumin@debian.org>  Thu, 21 Dec 2023 14:47:56 -0500

fish (3.6.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply an upstream workaround for Midnight Commander's issue with prompt.
    See https://github.com/fish-shell/fish-shell/pull/9540 and #1000351.
    Closes: #1035353.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 01 May 2023 19:01:01 +0200

fish (3.6.0-3) unstable; urgency=medium

  * Cherry-pick upstream fixes from the v3.6.1 branch.
  * Add the missing Depends on procps (Closes: #1029940).

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Mar 2023 10:20:50 -0400

fish (3.6.0-2) unstable; urgency=medium

  * Ignore several flaky tests for armel.

 -- Mo Zhou <lumin@debian.org>  Fri, 17 Feb 2023 20:05:29 -0500

fish (3.6.0-1) unstable; urgency=medium

  * New upstream version 3.6.0 (Jan 2023)

 -- Mo Zhou <lumin@debian.org>  Sat, 07 Jan 2023 11:39:49 -0500

fish (3.5.1+ds-2) unstable; urgency=medium

  * Move `lynx | www-browser` from Depends to Recommends. (Closes: #1017464)
  * Track version via fishshell.com instead of the broken GitHub.

 -- Mo Zhou <lumin@debian.org>  Tue, 13 Dec 2022 12:01:14 -0500
