=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%,dversionmangle=s/\+ds$//,repacksuffix=+ds" \
   https://fishshell.com/ \
   (?:.*?)/fish-(\d[\d.]*)@ARCHIVE_EXT@ debian
