## fish 3.6.1

=== debian/changelog ===
fish (3.6.1-1) unstable; urgency=medium

  [ David Adam ]
  * d/copyright: update to match reality

  [ Mo Zhou ]
  * New upstream version 3.6.1
  * Remove all patches (already in new release).
  * cme update dpkg-copyright (w/ manual edits).
  * Copoyright: add missing licenses.
  * Delete debian/NEWS.
    Even the oldoldstable version is newer than the latest NEWS entry now.
  * Recommend python3:any | python3-minimal:any for fish-common.
  * Update lintian overrides. We are lintian-clean.

 -- Mo Zhou <lumin@debian.org>  Sat, 17 Jun 2023 15:28:04 -0700
