=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Recommends: fish
+Recommends: fish, python3:any
 Description: friendly interactive shell (architecture-independent files)
  Fish is a shell geared towards interactive use.  Its features are focused on
  user friendliness and discoverability.  The language syntax is simple but
