## fish 3.6.1-1~bionic+9.0trisquel1

=== debian/changelog ===
fish (3.6.1-1~bionic+9.0trisquel1) etiona-backports; urgency=medium

  * Updated from 2.x to 3.x release through backports

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Mar 2023 12:40:13 +0000

fish (3.6.1-1~bionic) bionic; urgency=medium

  * Release of new version 3.6.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.6.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 25 Mar 2023 17:22:12 +0800

fish (3.6.0-1) bionic; urgency=medium

  * Release of new version 3.6.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.6.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 07 Jan 2023 22:41:32 +0800

fish (3.5.1-1) bionic; urgency=medium

  * Release of new version 3.5.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.5.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Wed, 20 Jul 2022 21:54:09 +0800

fish (3.5.0-1) bionic; urgency=medium

  * Release of new version 3.5.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.5.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Thu, 16 Jun 2022 19:45:33 +0800

fish (3.4.0-1) bionic; urgency=medium

  * Release of new version 3.4.0.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.4.0 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Sat, 12 Mar 2022 23:24:22 +0800

fish (3.3.1-1) bionic; urgency=medium

  * Release of new version 3.3.1.

  See https://github.com/fish-shell/fish-shell/releases/tag/3.3.1 for
  significant changes.

 -- David Adam <zanchey@ucc.gu.uwa.edu.au>  Tue, 06 Jul 2021 23:22:36 +0800
