## fish 3.7.0

=== debian/changelog ===
fish (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * Specify CMAKE_BUILD_TYPE=RelWithDebInfo.

 -- Mo Zhou <lumin@debian.org>  Mon, 01 Jan 2024 12:28:54 -0500

fish (3.6.4-1) unstable; urgency=medium

  * New upstream version 3.6.4 (Closes: #1057455) (Fixes: CVE-2023-49284)
  * Make uploader the maintainer. (Closes: #1040969)
    Tristan has retired from Debian. Thank you for your contributions!
  * Fix source build after successful build. (Closes: #1044864)

 -- Mo Zhou <lumin@debian.org>  Tue, 19 Dec 2023 19:02:35 -0500
