=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export TERM=xterm
export LC_ALL=C.UTF-8

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ -Scmake+ninja

execute_after_dh_auto_clean:
	-find . -type d -name '__pycache__' -exec rm -rf '{}' \;

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install -XCHANGELOG


ifeq ($(DEB_HOST_ARCH),armel)
override_dh_auto_test:
	dh_auto_test || true
endif
