=== debian/changelog ===
fish (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * Drop cherry-picked patches that are already merged in 4.0.1.
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Thu, 13 Mar 2025 19:01:18 -0400
