## fish 4.0.2

=== debian/changelog ===
fish (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Sun, 20 Apr 2025 13:01:54 -0400
