=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%,uversionmangle=s/(\d)(\w)(\d)/$1~$2$3/,dversionmangle=s/\+ds$//,repacksuffix=+ds" \
   https://fishshell.com/ \
   (?:.*?)/fish-(\d[\d.]*(?:\w\d+)?)@ARCHIVE_EXT@ debian
