## fish 4.0.6

=== debian/changelog ===
fish (4.0.6-0ubuntu1) questing; urgency=medium

  * Merge 4.0.6 from Upstream (LP: #2123819) for recent bug-fixes.
    - d/p/fix-libc-timespec.patch: update to 4.0.6

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 15 Sep 2025 10:30:02 +0200
