=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fish
 Section: shells
 Priority: optional
-Maintainer: Mo Zhou <lumin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
                cmake,
