## fish 4.2.1

=== debian/changelog ===
fish (4.2.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove upper limit from serial-test dev-dependency.
    + Thanks to plugwash for the patch. (Closes: #1123794)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 03 Jan 2026 01:35:27 +0530

fish (4.2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove broken (inverted) test skip from the previous upload.
  * Make test failures non-fatal. (see #1121178) (Closes: #1121377)

 -- Adrian Bunk <bunk@debian.org>  Sun, 30 Nov 2025 07:20:26 +0200

fish (4.2.1-3) unstable; urgency=medium

  * Skip tests on riscv64, too slow to not have timeouts.
  Closes: #1121377

 -- Blair Noctis <ncts@debian.org>  Tue, 25 Nov 2025 14:19:15 +0000

fish (4.2.1-2) unstable; urgency=medium

  * Reinstate fix-libc-timespec.patch for armhf

 -- Blair Noctis <ncts@debian.org>  Fri, 21 Nov 2025 16:40:34 +0000

fish (4.2.1-1) unstable; urgency=medium

  * New upstream version
  * Drop outdated patches
  * Refresh existing patches
  * Adjust Rust dependency phf to use packaged version
  * Drop Rust dependency unix_path, only used on Windows, not packaged

 -- Blair Noctis <ncts@debian.org>  Thu, 21 Nov 2025 15:18:11 +0000

fish (4.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mo Zhou ]
  * correct the blhc regex

  [ Peter Green ]
  * Add upstream patch for nix 0.30
  * Tighten debian build-dependency on nix to match Cargo dependency.
    Closes: #1116313

 -- Nilesh Patra <nilesh@debian.org>  Fri, 17 Oct 2025 17:52:00 +0530
