=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fish
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mo Zhou <lumin@debian.org>
+Maintainer: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cargo,
                cmake,
@@ -21,7 +20,8 @@
                librust-lazy-static-dev,
                librust-libc-dev (>= 0.2.169~),
                librust-lru-dev,
-               librust-nix-dev,
+               librust-macro-rules-attribute-dev,
+               librust-nix-dev (>= 0.30.1-1~),
                librust-num-traits-dev,
                librust-once-cell-dev,
                librust-portable-atomic-dev,
@@ -32,6 +32,7 @@
                librust-tempfile-dev,
                librust-terminfo-dev (>= 0.9.0~),
                librust-widestring-dev,
+               librust-unicode-segmentation-dev,
                ncurses-term,
                tmux <!nocheck>,
                git <!nocheck>,
