=== debian/rules ===
--- 
+++ 
@@ -24,10 +24,10 @@
 
 execute_before_dh_auto_build:
 	# blhc treats them as errors
-	@echo 'blhc: ignore-line-regexp: .* Compiling v.+ .*'
+	@echo 'blhc: ignore-line-regexp: .*Compiling\s+[a-zA-Z0-9_-]+\s+v[0-9.]+\s+.*'
 
 override_dh_auto_test:
-	ninja -C $(firstword $(wildcard obj-*)) fish_run_tests
+	-ninja -C $(firstword $(wildcard obj-*)) fish_run_tests
 
 override_dh_install:
 	dh_install -XCHANGELOG
