## fish simulator-0.0.5

=== requirements.txt ===
numpy
Pillow
matplotlib
scipy
wheel
twine
black
tqdm
